> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Offboard people

> Offboard a list of people. A person is only eligible for offboarding completion when:
1. They are an ex-employee.
2. All of the person's monitored accounts are deactivated or manually overwritten as such.
3. All of a person's custom offboarding tasks have been completed.
All of the person's unmonitored accounts will be automatically marked as deactivated when they
are offboarded. If the person has unfinished offboarding tasks those will NOT automatically be
completed and offboarding them will fail.



## OpenAPI

````yaml /reference/manage-vanta.json post /people/offboard
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /people/offboard:
    post:
      tags:
        - People
      summary: Offboard people
      description: >-
        Offboard a list of people. A person is only eligible for offboarding
        completion when:

        1. They are an ex-employee.

        2. All of the person's monitored accounts are deactivated or manually
        overwritten as such.

        3. All of a person's custom offboarding tasks have been completed.

        All of the person's unmonitored accounts will be automatically marked as
        deactivated when they

        are offboarded. If the person has unfinished offboarding tasks those
        will NOT automatically be

        completed and offboarding them will fail.
      operationId: OffboardPeople
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                updates:
                  items:
                    properties:
                      acknowledgerId:
                        type: string
                        description: >-
                          ID of the person who will be recorded as completing
                          the offboarding for these people
                      id:
                        type: string
                        description: ID of the person to offboard
                    required:
                      - acknowledgerId
                      - id
                    type: object
                  type: array
                  description: List of the people to offboard.
                  minItems: 1
                  maxItems: 1000
              required:
                - updates
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkResponse'
              examples:
                Example 1:
                  value:
                    results:
                      - id: 65e1efde08e8478f143a8ff9
                        status: SUCCESS
                      - id: OTHER_USER_ID
                        status: ERROR
                        message: Invalid Input
      security:
        - bearerAuth: []
components:
  schemas:
    BulkResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/UpdateResponse'
          type: array
          description: List of results matching the length and order of the request
      required:
        - results
      type: object
      additionalProperties: false
    UpdateResponse:
      anyOf:
        - $ref: '#/components/schemas/SuccessResponse'
        - $ref: '#/components/schemas/NonSuccessResponse'
    SuccessResponse:
      properties:
        id:
          type: string
          description: Id of the record
        status:
          $ref: '#/components/schemas/ResultLineStatus.SUCCESS'
          description: Status of the requested update
      required:
        - id
        - status
      type: object
      additionalProperties: false
    NonSuccessResponse:
      properties:
        id:
          type: string
          description: Id of the record
        status:
          $ref: '#/components/schemas/Exclude_ResultLineStatus.SUCCESS_'
          description: Status of the requested update
        message:
          type: string
          description: Message an error message
      required:
        - id
        - status
        - message
      type: object
      additionalProperties: false
    ResultLineStatus.SUCCESS:
      enum:
        - SUCCESS
      type: string
    Exclude_ResultLineStatus.SUCCESS_:
      $ref: '#/components/schemas/ResultLineStatus.ERROR'
      description: Exclude from T those types that are assignable to U
    ResultLineStatus.ERROR:
      enum:
        - ERROR
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````